<?php
require('startinclude.php');
// aaaaaaaaaaaaa
$camara=parametro('camara',-1);

$ventanan=parametro('ventanan',0);
$iuniquev=$_SERVER['REMOTE_ADDR']."_pf_".$ventanan;
if ($camara==-1) {
	$camara=@apc_fetch($iuniquev);
} else {
	
	apc_store($iuniquev,$camara);
}
if ($camara==0) {
	$anterior_num=apc_fetch('numero_de_camaras');
} else {
	$anterior_num=$camara-1;
}
if ($camara==apc_fetch('numero_de_camaras')) {
	$despues_num=0;
} else {
	$despues_num=$camara+1;
}
$anterior_c="<a href='whistorico_procesos.php?camara=".$anterior_num."&ventanan=$ventanan&pagina=0'>&lt;&lt;&lt;</a>&nbsp;&nbsp;&nbsp;";
$despues_c="&nbsp;&nbsp;&nbsp;<a href='whistorico_procesos.php?camara=".($despues_num)."&ventanan=$ventanan&pagina=0'>&gt;&gt;&gt;</a>";

// aaaaaaaaaaaaaa
setcookie('estado_camara'.$camara,'whistorico_procesos');

$php="whistorico_procesos.php";

$camara_act=array();
$camaras=array();
leer_camaras($camaras);
leer_camaras_actual($camara_act);

if ($camaras[$camara]["tipo_camara"]!="PREF") {
	$titulo="<h2 align='left'>".$anterior_c.$camaras[$camara]["nombre_camara"].$despues_c."</h2>\n";	
	include_once "lib_form.php";
	echo cabecera("titulo",1);
	echo mensajeformulario("Panel","images/about.gif","Este panel no puede iniciar o listar los procesos",2,"",$titulo);
	die("");
}

$proceso_actual=$camara_act[$camara]["proceso_actual"];



$proceso=$proceso_actual;

//$_GET['camara'] = $camara;
//$_GET['proceso'] =$proceso;
//$_GET['accion'] = "NH";



include "wprocesotablahistorico.php";
?>